DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# list->string

## Name

list->string -- Converts a list of characters into a string

## Synopsis

    (list->string chars)

## Description

Implements `list->string` as per ISO/IEC 10179:1996 (clause 8.5.9.9).

## Author

David Megginson, <dmeggins@uottawa.ca>

## Source Code

    (define (list->string chars)
      ;; Converts a list of characters into a string
      (let loop ((cl chars)
    	     (str ""))
        (if (null? cl)
    	str
    	(loop (cdr cl)
    	      (string-append str (string (car cl)))))))

Prev | Home | Next
string->list | Up | map